sar.h File Reference
`#include <gwenhywfar/gwen_sar_fileheader.h>`
`#include <gwenhywfar/syncio_file.h>`
`#include <gwenhywfar/cryptmgr.h>`
`#include <gwenhywfar/cryptkey.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_SAR | GWEN_SAR

## Functions

GWENHYWFAR_API int | GWEN_Sar_AddFile (GWEN_SAR *sr, const char *fname)
GWENHYWFAR_API void | GWEN_Sar_Attach (GWEN_SAR *sr)
GWENHYWFAR_API int | GWEN_Sar_CheckArchive (const char *inFile)
GWENHYWFAR_API int | GWEN_Sar_CheckFile (GWEN_SAR *sr, const GWEN_SAR_FILEHEADER *fh)
GWENHYWFAR_API int | GWEN_Sar_CloseArchive (GWEN_SAR *sr, int abandon)
GWENHYWFAR_API int | GWEN_Sar_CreateArchive (GWEN_SAR *sr, const char *aname)
GWENHYWFAR_API int | GWEN_Sar_ExtractFile (GWEN_SAR *sr, const GWEN_SAR_FILEHEADER *fh)
GWENHYWFAR_API void | GWEN_Sar_free (GWEN_SAR *sr)
GWENHYWFAR_API const GWEN_SAR_FILEHEADER_LIST * | GWEN_Sar_GetHeaders (GWEN_SAR *sr)
GWENHYWFAR_API GWEN_SAR * | GWEN_Sar_new (void)
GWENHYWFAR_API int | GWEN_Sar_OpenArchive (GWEN_SAR *sr, const char *aname, GWEN_SYNCIO_FILE_CREATIONMODE cm, uint32_t acc)
GWENHYWFAR_API int | GWEN_Sar_Sign (GWEN_SAR *sr, GWEN_CRYPTMGR *cm)
GWENHYWFAR_API int | GWEN_Sar_SignArchive (const char *inFile, const char *signer, GWEN_CRYPT_KEY *key)
GWENHYWFAR_API int | GWEN_Sar_UnpackArchive (const char *inFile, const char *where)
GWENHYWFAR_API int | GWEN_Sar_Verify (GWEN_SAR *sr, GWEN_CRYPTMGR *cm)
GWENHYWFAR_API int | GWEN_Sar_VerifyArchive (const char *inFile, const char *signer, GWEN_CRYPT_KEY *key)

## Typedef Documentation

## GWEN_SAR

typedef struct GWEN_SAR GWEN_SAR

Definition at line 37 of file sar.h.

## Function Documentation

## GWEN_Sar_AddFile()

GWENHYWFAR_API int GWEN_Sar_AddFile | ( | GWEN_SAR * | sr,
|  | const char * | fname )

References GWENHYWFAR_API.

## GWEN_Sar_Attach()

GWENHYWFAR_API void GWEN_Sar_Attach | ( | GWEN_SAR * | sr | ) |

References GWENHYWFAR_API.

## GWEN_Sar_CheckArchive()

GWENHYWFAR_API int GWEN_Sar_CheckArchive | ( | const char * | inFile | ) |

References GWENHYWFAR_API.

## GWEN_Sar_CheckFile()

GWENHYWFAR_API int GWEN_Sar_CheckFile | ( | GWEN_SAR * | sr,
|  | const GWEN_SAR_FILEHEADER * | fh )

References GWENHYWFAR_API.

## GWEN_Sar_CloseArchive()

GWENHYWFAR_API int GWEN_Sar_CloseArchive | ( | GWEN_SAR * | sr,
|  | int | abandon )

References GWENHYWFAR_API.

## GWEN_Sar_CreateArchive()

GWENHYWFAR_API int GWEN_Sar_CreateArchive | ( | GWEN_SAR * | sr,
|  | const char * | aname )

References GWENHYWFAR_API.

## GWEN_Sar_ExtractFile()

GWENHYWFAR_API int GWEN_Sar_ExtractFile | ( | GWEN_SAR * | sr,
|  | const GWEN_SAR_FILEHEADER * | fh )

References GWENHYWFAR_API.

## GWEN_Sar_free()

GWENHYWFAR_API void GWEN_Sar_free | ( | GWEN_SAR * | sr | ) |

References GWENHYWFAR_API.

## GWEN_Sar_GetHeaders()

GWENHYWFAR_API const GWEN_SAR_FILEHEADER_LIST * GWEN_Sar_GetHeaders | ( | GWEN_SAR * | sr | ) |

References GWENHYWFAR_API.

## GWEN_Sar_new()

GWENHYWFAR_API GWEN_SAR * GWEN_Sar_new | ( | void |  | ) |

References GWENHYWFAR_API.

## GWEN_Sar_OpenArchive()

GWENHYWFAR_API int GWEN_Sar_OpenArchive | ( | GWEN_SAR * | sr,
|  | const char * | aname,
|  | GWEN_SYNCIO_FILE_CREATIONMODE | cm,
|  | uint32_t | acc )

References GWENHYWFAR_API.

## GWEN_Sar_Sign()

GWENHYWFAR_API int GWEN_Sar_Sign | ( | GWEN_SAR * | sr,
|  | GWEN_CRYPTMGR * | cm )

References GWENHYWFAR_API.

## GWEN_Sar_SignArchive()

GWENHYWFAR_API int GWEN_Sar_SignArchive | ( | const char * | inFile,
|  | const char * | signer,
|  | GWEN_CRYPT_KEY * | key )

## GWEN_Sar_UnpackArchive()

GWENHYWFAR_API int GWEN_Sar_UnpackArchive | ( | const char * | inFile,
|  | const char * | where )

References GWENHYWFAR_API.

## GWEN_Sar_Verify()

GWENHYWFAR_API int GWEN_Sar_Verify | ( | GWEN_SAR * | sr,
|  | GWEN_CRYPTMGR * | cm )

References GWENHYWFAR_API.

## GWEN_Sar_VerifyArchive()

GWENHYWFAR_API int GWEN_Sar_VerifyArchive | ( | const char * | inFile,
|  | const char * | signer,
|  | GWEN_CRYPT_KEY * | key )

References GWENHYWFAR_API.